Commit ae532803 authored by Lorenzo "Palinuro" Faletra's avatar Lorenzo "Palinuro" Faletra Committed by Lorenzo "Palinuro" Faletra

Import Debian changes 3.0.7-0parrot1

sslyze (3.0.7-0parrot1) rolling-testing; urgency=medium

  * Import new Kali version.

sslyze (3.0.7-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.7

sslyze (3.0.6-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.6

sslyze (3.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.4

sslyze (3.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.3

sslyze (3.0.2-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.2

sslyze (3.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.1
  * Refresh debian/patches
  * Add a patch to remove privacy breach
  * Add missing sphinxdoc depends

sslyze (3.0.0-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 3.0.0
  * Refresh patches
  * Bump Standards-Version to 4.5.0
  * Update dependencies

sslyze (2.1.4-0kali2) kali-dev; urgency=medium

  * Add missing depends: python3-pkg-resources

sslyze (2.1.4-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.4

sslyze (2.1.3-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 2.1.3
  * Bump Standards-Version to 4.4.0
  * Add debian/source/lintian-overrides
  * Add basic autopkgtest
  * Update minimal required version of python3-nassl

sslyze (2.0.6-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 2.0.6
  * Update build to use dh-python
  * Remove obsolete patch
  * Update debian/copyright
  * Use debhelper-compat=12
  * Update Maintainer and Uploaders fields
  * Bump Standards-Version to 4.3.0 (change Priority)
  * Build correctly documentation
  * Add a preinst to remove .pyc from previous versions
  * Add python3-tls-parser as dependency

sslyze (0.12-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add depends on python-nassl
  * Drop the patch sys_append
  * Add the patch fix_setup.patch to not build nassl (in a separate
    package in kali)

sslyze (0.9-1kali1) kali; urgency=low

  * Upstream import

sslyze (0.6-1kali1) kali; urgency=low

  * Updated watch file

sslyze (0.6-1kali0) kali; urgency=low

  * Initial release 
parent 78afc268
Pipeline #582 failed with stages
in 11 minutes and 30 seconds
sslyze (3.0.7-0parrot1) rolling-testing; urgency=medium
* Import new Kali version.
-- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org> Sat, 27 Jun 2020 13:26:18 +0200
sslyze (3.0.7-0kali1) kali-dev; urgency=medium
* New upstream version 3.0.7
-- Sophie Brun <sophie@offensive-security.com> Mon, 15 Jun 2020 10:18:18 +0200
sslyze (3.0.6-0kali1) kali-dev; urgency=medium
* New upstream version 3.0.6
-- Sophie Brun <sophie@offensive-security.com> Thu, 04 Jun 2020 14:39:27 +0200
sslyze (3.0.4-0kali1) kali-dev; urgency=medium
* New upstream version 3.0.4
-- Sophie Brun <sophie@offensive-security.com> Mon, 11 May 2020 17:12:08 +0200
sslyze (3.0.3-0kali1) kali-dev; urgency=medium
* New upstream version 3.0.3
-- Sophie Brun <sophie@offensive-security.com> Mon, 27 Apr 2020 14:44:58 +0200
sslyze (3.0.2-0kali1) kali-dev; urgency=medium
* New upstream version 3.0.2
-- Sophie Brun <sophie@offensive-security.com> Mon, 20 Apr 2020 10:16:07 +0200
sslyze (3.0.1-0kali1) kali-dev; urgency=medium
* New upstream version 3.0.1
* Refresh debian/patches
* Add a patch to remove privacy breach
* Add missing sphinxdoc depends
-- Sophie Brun <sophie@offensive-security.com> Fri, 03 Apr 2020 10:56:35 +0200
sslyze (3.0.0-0kali1) kali-dev; urgency=medium
[ Raphaël Hertzog ]
* Configure git-buildpackage for Kali
* Update URL in GitLab's CI configuration file
[ Sophie Brun ]
* New upstream version 3.0.0
* Refresh patches
* Bump Standards-Version to 4.5.0
* Update dependencies
-- Sophie Brun <sophie@offensive-security.com> Tue, 31 Mar 2020 15:43:54 +0200
sslyze (2.1.4-0kali2) kali-dev; urgency=medium
* Add missing depends: python3-pkg-resources
-- Sophie Brun <sophie@offensive-security.com> Tue, 03 Sep 2019 15:47:27 +0200
sslyze (2.1.4-0kali1) kali-dev; urgency=medium
* New upstream version 2.1.4
-- Sophie Brun <sophie@offensive-security.com> Tue, 03 Sep 2019 14:36:47 +0200
sslyze (2.1.3-0kali1) kali-dev; urgency=medium
[ Raphaël Hertzog ]
* Update Vcs-* fields for the move to gitlab.com
* Add GitLab's CI configuration file
[ Sophie Brun ]
* New upstream version 2.1.3
* Bump Standards-Version to 4.4.0
* Add debian/source/lintian-overrides
* Add basic autopkgtest
* Update minimal required version of python3-nassl
-- Sophie Brun <sophie@offensive-security.com> Wed, 21 Aug 2019 09:58:21 +0200
sslyze (2.0.6-0kali1) kali-dev; urgency=medium
* Update debian/watch
* New upstream version 2.0.6
* Update build to use dh-python
* Remove obsolete patch
* Update debian/copyright
* Use debhelper-compat=12
* Update Maintainer and Uploaders fields
* Bump Standards-Version to 4.3.0 (change Priority)
* Build correctly documentation
* Add a preinst to remove .pyc from previous versions
* Add python3-tls-parser as dependency
-- Sophie Brun <sophie@offensive-security.com> Fri, 15 Feb 2019 14:00:31 +0100
sslyze (0.12-0kali1) kali-dev; urgency=medium
* Import new upstream release
* Add depends on python-nassl
* Drop the patch sys_append
* Add the patch fix_setup.patch to not build nassl (in a separate
package in kali)
-- Sophie Brun <sophie@freexian.com> Wed, 16 Dec 2015 10:46:01 +0100
sslyze (0.9-1kali1) kali; urgency=low
* Upstream import
-- Mati Aharoni <muts@kali.org> Fri, 23 May 2014 06:07:21 -0400
sslyze (0.6-1kali1) kali; urgency=low
* Updated watch file
-- Mati Aharoni <muts@kali.org> Sun, 12 Jan 2014 16:01:50 -0500
sslyze (0.6-1kali0) kali; urgency=low
* Initial release
-- Devon Kearns <dookie@kali.org> Wed, 26 Dec 2012 12:58:06 -0700
Source: sslyze
Section: net
Priority: optional
XSBC-Original-Maintainer: Kali Developers <devel@kali.org>
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
dh-python,
python3,
python3-cryptography,
python3-nassl (>= 3.0.0),
python3-setuptools,
python3-sphinx,
python3-sphinx-rtd-theme,
python3-tls-parser (>= 1.2.2),
python3-typing-extensions
Standards-Version: 4.5.0
Homepage: https://github.com/nabla-c0d3/sslyze
Vcs-Git: https://nest.parrotsec.org/packages/tools/sslyze.git
Vcs-Browser: https://nest.parrotsec.org/packages/tools/sslyze
Package: sslyze
Architecture: all
Depends: python3-nassl (>= 3.0.0),
python3-pkg-resources,
python3-tls-parser (>= 1.2.2),
python3-typing-extensions,
${misc:Depends},
${python3:Depends},
${sphinxdoc:Depends}
Description: Fast and full-featured SSL scanner
SSLyze is a Python tool that can analyze the SSL configuration
of a server by connecting to it. It is designed to be fast and
comprehensive, and should help organizations and testers
identify misconfigurations affecting their SSL servers.
This diff is collapsed.
README.md
build/html
[DEFAULT]
pristine-tar = True
[pq]
patch-numbers = False
[dch]
multimaint-merge = True
include:
- https://gitlab.com/kalilinux/tools/kali-ci-pipeline/raw/master/recipes/kali.yml
From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 31 Mar 2020 15:25:12 +0200
Subject: Remove missing sphinx extensions
Last-Update: 2020-03-31
Last-Update: 2020-03-31
---
docs/conf.py | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/docs/conf.py b/docs/conf.py
index c5dd361..49b0693 100644
--- a/docs/conf.py
+++ b/docs/conf.py
@@ -34,11 +34,11 @@
# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
-extensions = [
- 'sphinx.ext.autodoc',
- 'sphinx.ext.napoleon',
- 'sphinx_autodoc_typehints'
-]
+#extensions = [
+# 'sphinx.ext.autodoc',
+# 'sphinx.ext.napoleon',
+# 'sphinx_autodoc_typehints'
+#]
# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']
From: Sophie Brun <sophie@offensive-security.com>
Date: Fri, 3 Apr 2020 11:34:40 +0200
Subject: Remove privacy breach
Last-Update: 2020-04-03
---
docs/index.rst | 9 ---------
1 file changed, 9 deletions(-)
diff --git a/docs/index.rst b/docs/index.rst
index 5bd454d..27be646 100644
--- a/docs/index.rst
+++ b/docs/index.rst
@@ -4,15 +4,6 @@ SSLyze
Release |version|
-.. image:: https://pepy.tech/badge/sslyze
- :target: https://pepy.tech/project/sslyze
-
-.. image:: https://img.shields.io/pypi/l/sslyze.svg
- :target: https://pypi.org/project/sslyze/
-
-.. image:: https://img.shields.io/pypi/pyversions/sslyze.svg
- :target: https://pypi.org/project/sslyze/
-
SSLyze is a fast and powerful SSL/TLS scanning library.
It allows you to analyze the SSL/TLS configuration of a server by connecting to it, in order to detect various
remove-missing-sphinx-module.patch
remove-privacy-breach.patch
#!/bin/sh
set -e
if [ "$1" = "upgrade" ] && dpkg --compare-versions $2 lt-nl 2.0.6-0kali1; then
pyclean -p sslyze
fi
#DEBHELPER#
#!/usr/bin/make -f
export PYBUILD_NAME=sslyze
%:
dh $@ --with python3,sphinxdoc --buildsystem=pybuild
override_dh_auto_build:
dh_auto_build
PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs build/html
sslyze source: source-is-missing docs/documentation/_static/*
Test-Command: sslyze -h
Restrictions: superficial
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sslyze-$1.tar.gz%" \
https://github.com/nabla-c0d3/sslyze/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment